## ubuntu-purchase-service 14.04%2B14.04.20140310.2ubuntu2

=== src/tests/CMakeLists.txt ===
set(XVFB_CMD xvfb-run -a -s "-screen 0 640x480x24")
add_custom_target (qmlunit-tests
  COMMAND env QML2_IMPORT_PATH=${CMAKE_CURRENT_BINARY_DIR}/.. ${XVFB_CMD} qmltestrunner -input ${CMAKE_CURRENT_SOURCE_DIR}/qml
  DEPENDS ${QML_PLUGIN_NAME}
)

find_package(Qt5Core REQUIRED)

set (PURCHASE_TESTS_TARGET test-purchase-service)

add_definitions(-DTESTS)
add_executable(${PURCHASE_TESTS_TARGET}
    test_ubuntupurchase.cpp
    ../ubuntupurchase.cpp
    ../purchase_service_client.cpp
    ../purchase_service_adaptor.cpp
    ../purchaseclient.cpp
    ../purchase_service.cpp
    fakessoservice.cpp
    fakedbus.cpp
)
target_link_libraries(${PURCHASE_TESTS_TARGET} ${UBUNTUONE_LDFLAGS})
qt5_use_modules(${PURCHASE_TESTS_TARGET} Qml Quick Core DBus Xml Network Test)

add_custom_target (cppunit-tests
  COMMAND ${XVFB_CMD} ${CMAKE_CURRENT_BINARY_DIR}/${PURCHASE_TESTS_TARGET}
  DEPENDS ${PURCHASE_TESTS_TARGET}
)
