=== debian/changelog ===
ubuntu-purchase-service (14.04+14.04.20140310.2ubuntu2) trusty; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Apr 2014 17:31:52 -0300

ubuntu-purchase-service (14.04+14.04.20140310.2ubuntu1) trusty; urgency=medium

  * No-change rebuild against QtWebkit 5.1.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 13 Mar 2014 23:24:25 -0300

ubuntu-purchase-service (14.04+14.04.20140310.2) trusty; urgency=low

  [ CI bot ]
  * No change rebuild against Qt 5.2.1.

  [ Rodney Dawes ]
  * Use 'env' to set the environment for qml unit tests. Add build/
    directory to the ignore list. (LP: #1273570)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Mar 2014 09:46:19 +0000

ubuntu-purchase-service (14.04+14.04.20140114.4) trusty; urgency=low

  [ Robert Bruce Park ]
  * `wrap-and-sort -a -s -t`.
  * Packaging fixes requested by didrocks.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 14

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 14 Jan 2014 18:43:00 +0000

ubuntu-purchase-service (14.04+14.04.20140113) trusty; urgency=low

  [ Diego Sarmentero ]
  * Fix Dbus activation typo. Fix environment variables detection.
    Adding c++ tests for the UbuntuPurchase plugin. (LP: #1267906,
    #1267907)

  [ Rodney Dawes ]
  * Package the purchase service.
  * Add some checklist items for submitting and reviewing branches, to
    HACKING.
  * Use wrap-and-sort -a -s -t to appease daily release packaging
    guidelines. Clean up last few main issues from last branch. .

  [ Robert Bruce Park ]
  * Minor fixes as per daily_release guidelines.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 11

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 13 Jan 2014 18:03:29 +0000

ubuntu-purchase-service (14.04+14.04.20131219) trusty; urgency=low

  * Automatic snapshot from revision 5 (bootstrap)
  * Initial packaging. (LP: #1260471)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 19 Dec 2013 17:29:05 -0500
