=== debian/control ===
Source: ubuntu-purchase-service
Section: libs
Priority: optional
Build-Depends:
 cmake,
 debhelper (>= 9),
 libqt5webkit5-qmlwebkitplugin,
 libubuntuoneauth-2.0-dev,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtdeclarative5-dev-tools,
 qtdeclarative5-test-plugin,
 qtdeclarative5-ubuntu-ui-toolkit-plugin,
 xvfb,
Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
Standards-Version: 3.9.5
Vcs-Bzr: lp:ubuntu-purchase-service
Xs-Testsuite: autopkgtest

Package: ubuntu-purchase-service
Architecture: any
Multi-Arch: same
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu Purchase Service
 A service for enabling purchase of click package applications which are
 sold through the click app store.
